curl "https://revexscanner.com/api/v1/scans?filter=review&size=20" \
-H "Authorization: Bearer rvx_YOUR_KEY"
const res = await fetch("https://revexscanner.com/api/v1/scans?filter=review&size=20", {
headers: { Authorization: `Bearer ${process.env.REVEX_KEY}` },
});
const { items, total } = await res.json();
{
"items": [
{
"id": "0-9b9d5dab-6975-4561-8303-8db8379f9ca5",
"createdAt": 1795300000000,
"startedAt": 1795300120000,
"expiresAt": 1795386400000,
"status": "submitted",
"category": "review",
"target": "ticket-1042",
"reportId": "r-123",
"counts": { "critical": 0, "risky": 3 }
}
],
"total": 1,
"page": 1,
"pageSize": 20,
"counts": { "all": 1, "ban": 0, "review": 1, "clear": 0, "running": 0, "expired": 0 }
}
API reference
List scans
Read scan history with filters and pagination.
GET
/
api
/
v1
/
scans
curl "https://revexscanner.com/api/v1/scans?filter=review&size=20" \
-H "Authorization: Bearer rvx_YOUR_KEY"
const res = await fetch("https://revexscanner.com/api/v1/scans?filter=review&size=20", {
headers: { Authorization: `Bearer ${process.env.REVEX_KEY}` },
});
const { items, total } = await res.json();
{
"items": [
{
"id": "0-9b9d5dab-6975-4561-8303-8db8379f9ca5",
"createdAt": 1795300000000,
"startedAt": 1795300120000,
"expiresAt": 1795386400000,
"status": "submitted",
"category": "review",
"target": "ticket-1042",
"reportId": "r-123",
"counts": { "critical": 0, "risky": 3 }
}
],
"total": 1,
"page": 1,
"pageSize": 20,
"counts": { "all": 1, "ban": 0, "review": 1, "clear": 0, "running": 0, "expired": 0 }
}
Returns the scans of the key’s organization, newest first.
Request
curl "https://revexscanner.com/api/v1/scans?filter=review&size=20" \
-H "Authorization: Bearer rvx_YOUR_KEY"
const res = await fetch("https://revexscanner.com/api/v1/scans?filter=review&size=20", {
headers: { Authorization: `Bearer ${process.env.REVEX_KEY}` },
});
const { items, total } = await res.json();
Response
The scans on this page.
Show item fields
Show item fields
{
"items": [
{
"id": "0-9b9d5dab-6975-4561-8303-8db8379f9ca5",
"createdAt": 1795300000000,
"startedAt": 1795300120000,
"expiresAt": 1795386400000,
"status": "submitted",
"category": "review",
"target": "ticket-1042",
"reportId": "r-123",
"counts": { "critical": 0, "risky": 3 }
}
],
"total": 1,
"page": 1,
"pageSize": 20,
"counts": { "all": 1, "ban": 0, "review": 1, "clear": 0, "running": 0, "expired": 0 }
}
Errors
| Status | Code | Meaning |
|---|---|---|
| 401 | INVALID_API_KEY | The key is missing, wrong or revoked. |
| 429 | RATE_LIMITED | Too many requests. Wait a minute. |

